/**
 * Properties for the `del` method.
 */
export type DelProps = {
    /**
     * Path of the endpoint, anything after \"/1\" must be specified.
     */
    path: string;
    /**
     * Query parameters to apply to the current query.
     */
    parameters?: Record<string, any>;
};
/**
 * Properties for the `get` method.
 */
export type GetProps = {
    /**
     * Path of the endpoint, anything after \"/1\" must be specified.
     */
    path: string;
    /**
     * Query parameters to apply to the current query.
     */
    parameters?: Record<string, any>;
};
/**
 * Properties for the `post` method.
 */
export type PostProps = {
    /**
     * Path of the endpoint, anything after \"/1\" must be specified.
     */
    path: string;
    /**
     * Query parameters to apply to the current query.
     */
    parameters?: Record<string, any>;
    /**
     * Parameters to send with the custom request.
     */
    body?: Record<string, any>;
};
/**
 * Properties for the `put` method.
 */
export type PutProps = {
    /**
     * Path of the endpoint, anything after \"/1\" must be specified.
     */
    path: string;
    /**
     * Query parameters to apply to the current query.
     */
    parameters?: Record<string, any>;
    /**
     * Parameters to send with the custom request.
     */
    body?: Record<string, any>;
};
//# sourceMappingURL=clientMethodProps.d.ts.map